Target version:
Description

Compiling rsc trunk (Revision r573) on natty fails with
...
[ 98%] Building CXX object test/CMakeFiles/rsctest.dir/rsc/misc/RegistryTest.cpp.o
/vol/corcse/benchmarking/i686_lucid/installer/rsx/rsc/work/main.d/rsc-svn/test/rsc/misc/UUIDTest.cpp: In member function
‘virtual void UUIDTest_testNameCreate_Test::TestBody()’:
/vol/corcse/benchmarking/i686_lucid/installer/rsx/rsc/work/main.d/rsc-svn/test/rsc/misc/UUIDTest.cpp:46:27: error: no matching
function for call to ‘rsc::misc::UUID::UUID(rsc::misc::UUID&, const char [8])’
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:60:11: note: candidates are: rsc::misc::UUID::UUID(uint8_t*)
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:53:11: note:                 rsc::misc::UUID::UUID(const std::string&)
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:45:2: note:                 rsc::misc::UUID::UUID()
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:39:23: note:                 rsc::misc::UUID::UUID(const
rsc::misc::UUID&)
/vol/corcse/benchmarking/i686_lucid/installer/rsx/rsc/work/main.d/rsc-svn/test/rsc/misc/UUIDTest.cpp:47:27: error: no matching
function for call to ‘rsc::misc::UUID::UUID(rsc::misc::UUID&, const char [8])’
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:60:11: note: candidates are: rsc::misc::UUID::UUID(uint8_t*)
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:53:11: note:                 rsc::misc::UUID::UUID(const std::string&)
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:45:2: note:                 rsc::misc::UUID::UUID()
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:39:23: note:                 rsc::misc::UUID::UUID(const
rsc::misc::UUID&)
/vol/corcse/benchmarking/i686_lucid/installer/rsx/rsc/work/main.d/rsc-svn/test/rsc/misc/UUIDTest.cpp:49:35: error: no matching
function for call to ‘rsc::misc::UUID::UUID(rsc::misc::UUID&, const char [16])’
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:60:11: note: candidates are: rsc::misc::UUID::UUID(uint8_t*)
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:53:11: note:                 rsc::misc::UUID::UUID(const std::string&)
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:45:2: note:                 rsc::misc::UUID::UUID()
/vol/corcse/benchmarking/i686_lucid/include/rsc/misc/UUID.h:39:23: note:                 rsc::misc::UUID::UUID(const
rsc::misc::UUID&)

Associated revisions
Revision 282baf44 - 07/22/2011 01:30 PM - Arne Nordmann 

Fixed include pathes for RSC tests
fixes #440

Revision a268f619 - 07/30/2011 09:38 PM - J. Wienke

more or less revert r302. I don't see why this fixes the issue. Moreover it breaks good build style by generating source code inside the source tree and
not the build tree.

refs #440
Revision 7b56bafa - 07/30/2011 09:57 PM - J. Wienke

Ensure that the current working source tree is used for includes in the test in any case

refs #440

History
#1 - 07/22/2011 01:30 PM - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r302.

#2 - 07/30/2011 09:47 PM - J. Moringen

If I remember correctly, the problem was that in an in-source build (as sometimes done in GAR-installers), the test programs used installed header files
(of an older RSC version) which caused the error.

#3 - 07/30/2011 09:53 PM - J. Wienke

If suspected something like that, but I cannot see how the fix prevents this. And also the compiler message in this issue does not even include the
right signature of the UUID constructor for the file from the working source tree.
